Subject: Re: B20: make confused with //a style drive specifiers
From: Graham Dumpleton <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 16 Feb 1999 09:05:57 +1100 (EST)

> You need to read the FAQ concerning the environment variable MAKE_MODE.

I don't see how MAKE_MODE is relevant. The FAQ describes it as being
related to escaping and nothing to do with drive specifiers. Further,
unsetting MAKE_MODE to have make default to Win32 mode makes no difference.

If you tried this example yourself and had the error go away, please
indicate exactly what you set MAKE_MODE to. The FAQ only describes it as
being able to be set to UNIX. I tried WIN32 and Win32 as values even though
the FAQ doesn't say these are valid and even though they don't appear as
strings in the binary. As I said above I also unset MAKE_MODE so it didn't
appear in the environment which the FAQ indicates should result in Win32
mode being used. I have run out of options, neither UNIX or Win32 modes
works for me. Is there some other mode which you have somehow enabled that
I am missing?

 > ---Graham Dumpleton <[email-masked]> wrote:
 > >
 > > Came across the following problem in B20 which I believe should
 > work. With
 > > a makefile of:
 > > 
 > >   need1 := g:/a g:/b g:/c g:/d g:/e g:/f
 > > 
 > >   all1 : $(need1)
 > > 
 > >   $(need1) : % :
 > > 	  @echo $@
 > > 
 > >   need2 := //g/a //g/b //g/c //g/d //g/e //g/f
 > > 
 > >   all2 : $(need2)
 > > 
 > >   $(need2) : % :
 > > 	  @echo $@
 > > 
 > > When I run "make all1" I get.
 > > 
 > >   g:/a
 > >   g:/b
 > >   g:/c
 > >   g:/d
 > >   g:/e
 > >   g:/f
 > > 
 > > When I run "make all2" I get.
 > > 
 > >   make: *** No rule to make target `//g/a', needed by `all2'.  Stop.

-- 
Graham Dumpleton ([email-masked])